    pointField motion(subset2Points.size(), vector::zero);

//  pointField oldPoints = subset2Points;

    scalar oldTime = time().value() - time().deltaT().value();
    scalar curTime = time().value();

    scalar alphaOld   = 0.0;
    scalar alphaCur   = 0.0;

    scalar rotationAmplitude_(0.05);
    scalar rotationFrequency_(0.5);
    vector translationFrequency_(0.5,0.0,0.5);
    vector translationAmplitude_(0.05,0.0,0.05);
    vector initialRotationOrigin_(7.5,0.05,0.75);

    scalar pi= 3.141592;

    alphaOld = rotationAmplitude_*Foam::sin(2*pi*rotationFrequency_*oldTime);
    alphaCur = rotationAmplitude_*Foam::sin(2*pi*rotationFrequency_*curTime);

    vector translationVector
    (
        translationAmplitude_[0]*
        (
            Foam::sin(2*pi*translationFrequency_[0]*curTime)
          - Foam::sin(2*pi*translationFrequency_[0]*oldTime)
        ),
        0,
        translationAmplitude_[2]*
        (
            Foam::sin(2*pi*translationFrequency_[2]*curTime)
          - Foam::sin(2*pi*translationFrequency_[2]*oldTime)
        )
    );

    tensor RzOld
    (
        Foam::cos(alphaOld), 0, -Foam::sin(alphaOld),
        0, 0, 1,
        Foam::sin(alphaOld), 0,  Foam::cos(alphaOld)
    );

    tensor RzCur
    (
        Foam::cos(alphaCur), 0, -Foam::sin(alphaCur),
        0, 0, 1,
        Foam::sin(alphaCur), 0,  Foam::cos(alphaCur)
    );

    pointField rotationField
    (
        (RzCur - RzOld)
      & (stationaryPoints - initialRotationOrigin_)
    );

    motion = translationVector + rotationField;
